# Class: GroupUserPickerClient

## GroupUserPickerClient

## Constructor

#### new GroupUserPickerClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/groupuserpicker'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/groupUserPicker.js, line 5

### Methods

#### findUsersAndGroups(opts, callback)

Returns a list of users and groups matching query with highlighting. This resource cannot be accessed anonymously.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

The request options to send to the Jira API.

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`query` | string |  | A string used to search username, Name or e-mail address
`maxResults` | number | <optional> | the maximum number of users to return (defaults to 50). The maximum allowed value is 1000. If you specify a value that is higher than this number, your search results will be truncated.
`showAvatar` | boolean | <optional> | Whether to show the avatar
`fieldId` | string | <optional> | The custom field id, if this request comes from a custom field, such as a user picker. Optional.
`projectId` | string | <optional> | The list of project ids to further restrict the search This parameter can occur multiple times to pass in multiple project ids. Comma separated value is not supported. This parameter is only used when fieldId is present.
`issueTypeId` | string | <optional> | The list of issue type ids to further restrict the search. This parameter can occur multiple times to pass in multiple issue type ids. Comma separated value is not supported. Special values such as -1 (all standard issue types), -2 (all subtask issue types) are supported. This parameter is only used when fieldId is present.

`callback` |  | Called when the search is completed.

Source:
  - api/groupUserPicker.js, line 13